package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class MenuDishesCopyDTO {
   @ApiModelProperty("待复制菜品id")
   private @Size(
   min = 1,
   message = "{menu_dishes_list_null}"
) List<Long> dishesIdList;
   @ApiModelProperty("目标食堂id")
   private @NotNull(
   message = "{menu_canteen_id_null}"
) Long canteenId;

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

}
